Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.game
Interface GAMETranscriptCallbackItf

All Known Implementing Classes:
  GAMEFeatureSetHandler

    public interface GAMETranscriptCallbackItf

An interface that can be tested for by nested handlers when trying to do a callback. This one allows an element that represents a transcript to gain information about locations of nested elements that represent exons/introns.

Since:
  1.8
Author:
  David Huen

Method Summary
`void` | `reportExon(RangeLocation range, StrandedFeature.Strand strand)` Allows nesting class that manages a transcript template to gain information about its extent from nested elements that represent exons.

Method Detail

### reportExon

    void reportExon(RangeLocation range,
                    StrandedFeature.Strand strand)

  Allows nesting class that manages a transcript template to gain information about its extent from nested elements that represent exons.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD